/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.io;

import java.io.IOException;

/**
 *
 * @author Ranides Atterwim <ranides@gmail.com>
 */
public interface CharWriter {
    
    void writeChar(char value) throws IOException;
    
    void writeChars(char[] value) throws IOException;
    
    void writeChars(char[] value, int offset, int length) throws IOException;
    
    void writeString(String value) throws IOException;
    
    void writeLine(String value) throws IOException;
}
